Compatible Databases - 6.4

Talend ESB Installation Guide for Solaris

EnrichVersion
6.4
EnrichProdName
Talend ESB
task
Installation and Upgrade
EnrichPlatform
Talend Administration Center
Talend CommandLine
Talend ESB
Talend JobServer
Talend Runtime

Note

In the following documentation:

  • recommended: designates an environment recommended by Talend based on our experiences and customer usage;

  • supported: designates a supported environment for use with the listed component or service;

  • supported with limitations: designates an environment that is supported by Talend but with certain conditions explained in notes.

Please refer to the following grids for a summary of supported databases.

Table 17. Talend Administration Center

Support type

Databases

Recommended

MySQL 5.71,2

Oracle 12c Release 11

Supported

Azure SQL5

H2 1.46

MariaDB 10.1

MS SQL Server 20161,4

MS SQL Server 20144

MS SQL Server 2012 (SP2)4

MySQL 5.6

,2

Oracle 11g

PostgreSQL 9.61,2

PostgreSQL 9.4 and 9.51,2,3


1. The corresponding Amazon Relational Database Service (Amazon RDS) version is supported.

2. The corresponding Google Cloud SQL version is supported.

3. PostgreSQL JDBC driver 9.4 is used.

4. Only JTDS driver 1.3.1 is supported.

5. The only supported driver is the patched jTDS-1.3.1.jar driver. For more information, see Installing database drivers in your Web application server.

6. Embedded, for development, test and demo purposes. Not suitable for production environments.

Table 18. Talend Identity and Access Management

Support type

Databases

Recommended

MySQL 5.71

Oracle 12c Release 11

Supported

Azure SQL4

H2 1.45

Derby DB > 10.8

MS SQL Server 20161

MS SQL Server 2014

MS SQL Server 2012 (SP2)

MySQL 5.6

Oracle 11g

PostgreSQL 9.61,2

PostgreSQL 9.4 and 9.51,2,3


1. The corresponding Amazon Relational Database Service (Amazon RDS) version is supported.

2. The corresponding Google Cloud SQL version is supported.

3. PostgreSQL JDBC driver 9.4 is used.

4. The only supported driver is the patched jTDS-1.3.1.jar driver. For more information, see Installing database drivers in your Web application server.

5. Embedded, for development, test and demo purposes. Not suitable for production environments.

4. The only supported driver is the patched jTDS-1.3.1.jar driver. For more information, see Installing database drivers in your Web application server.

5. Embedded, for development, test and demo purposes. Not suitable for production environments.

Table 19. Service Activity Monitoring (SAM)

Support type

Databases

Recommended

MySQL 5.71

Oracle 12c Release 11

Supported

Azure SQL4

Derby DB > 10.8

IBM DB2 10.1

MS SQL Server 20161

MS SQL Server 2014

MS SQL Server 2012 (SP2)

MySQL 5.6

Oracle 11g

PostgreSQL 9.61,2

PostgreSQL 9.4 and 9.53


1. The corresponding Amazon Relational Database Service (Amazon RDS) version is supported.

2. The corresponding Google Cloud SQL version is supported.

3. PostgreSQL JDBC driver 9.4 is used.

4. The only supported driver is the patched jTDS-1.3.1.jar driver. For more information, see Installing database drivers in your Web application server.

Table 20. ESB Service Registry/Authorization/Talend Identity Management/Event Logging

Support type

Databases

Recommended

MySQL 5.71

Oracle 12c Release 11

Supported

Azure SQL4

Derby DB > 10.8

MS SQL Server 20161

MS SQL Server 2014

MS SQL Server 2012 (SP2)

MySQL 5.6

Oracle 11g

PostgreSQL 9.61,2

PostgreSQL 9.4 and 9.53


1. The corresponding Amazon Relational Database Service (Amazon RDS) version is supported.

2. The corresponding Google Cloud SQL version is supported.

3. PostgreSQL JDBC driver 9.4 is used.

4. The only supported driver is the patched jTDS-1.3.1.jar driver. For more information, see Installing database drivers in your Web application server.

Table 21. Talend Repository Manager

Support type

Databases

Recommended

MySQL 5.71

Oracle 12c Release 11

Supported

Azure SQL

H2 1.4

MariaDB 10.1

MS SQL Server 20161

MS SQL Server 2014

MS SQL Server 2012 (SP2)

MySQL 5.6

Oracle 11g

PostgreSQL 9.61,2

PostgreSQL 9.4 and 9.53


1. The corresponding Amazon Relational Database Service (Amazon RDS) version is supported.

2. The corresponding Google Cloud SQL version is supported.

3. PostgreSQL JDBC driver 9.4 is used.

Table 22. Talend Data Preparation

Support type

Database

Recommended (external to the product)

MongoDB 3.4

Supported (embedded in the product)

MongoDB 3.4


Table 23. Talend Data Stewardship

Support type

Database

Recommended (external to the product)

MongoDB 3.4

Supported (embedded in the product)

MongoDB 3.4